## guake 3.0.0.b2

=== Makefile ===
.PHONY: build dev

MODULE:=guake
INSTALL_ROOT:=/
PREFIX:=$(INSTALL_ROOT)usr
SLUG:=fragment_name

default: prepare-install
	# 'make' target

prepare-install: generate-desktop generate-mo compile-glib-schemas

reset:
	dconf reset -f /apps/guake/


all: dev style checks dists test docs

dev: pipenv-install-dev requirements ln-venv setup-githook prepare-install

dev-no-pipenv: clean
	virtualenv --python python3 .venv
	. .venv/bin/activate && pip3 install -r requirements.txt -r requirements-dev.txt -e .

pipenv-install-dev:
	pipenv install --dev

ln-venv:
	# use that to configure a symbolic link to the virtualenv in .venv
	rm -rf .venv
	ln -s $$(pipenv --venv) .venv

install-system: install-schemas install-locale
	# you probably want to execute this target with sudo:
	# sudo make install
	@echo "Installing from on your system is not recommended."
	@echo "Please prefer you application package manager (apt, yum, ...)"
	@pip3 install -r requirements.txt
	@python3 setup.py install --root "$(INSTALL_ROOT)" --optimize=1
	@glib-compile-schemas $(PREFIX)/local/lib/python3.5/dist-packages/guake/data/
	@rm -rfv build *.egg-info

install-locale:
	for f in $$(find po -iname "*.mo"); do \
		l="$${f%%.*}"; \
		lb=$$(basename $$l); \
		install -Dm755 "$$f" "$(PREFIX)/share/locale/$$lb/LC_MESSAGES/guake.mo"; \
	done;

install-schemas:
	install -Dm755 "guake/data/guake.desktop" "$(PREFIX)/share/applications/guake.desktop"
	install -Dm755 "guake/data/guake-prefs.desktop" "$(PREFIX)/share/applications/guake-prefs.desktop"
	install -Dm755 "guake/data/pixmaps/guake.png" "$(PREFIX)/share/pixmaps/guake.png"
	install -Dm755 "guake/data/org.guake.gschema.xml" "$(PREFIX)/share/glib-2.0/schemas/org.guake.gschema.xml"
	glib-compile-schemas $(PREFIX)/share/glib-2.0/schemas/


uninstall-system: uninstall-schemas reset
	@pip uninstall -y guake || true

uninstall-schemas:
	rm -f "$(PREFIX)/share/applications/guake.desktop"
	rm -f "$(PREFIX)/share/applications/guake-prefs.desktop"
	rm -f "$(PREFIX)/share/pixmaps/guake.png"
	rm -f "$(PREFIX)/share/glib-2.0/schemas/org.guake.gschema.xml"
	glib-compile-schemas $(PREFIX)/share/glib-2.0/schemas/

compile-glib-schemas: clean-schemas
	glib-compile-schemas --strict guake/data/

clean-schemas:
	rm -f guake/data/gschemas.compiled

style: fiximports autopep8 yapf

fiximports:
	@for fil in $$(find setup.py guake -name "*.py"); do \
		echo "Sorting imports from: $$fil"; \
		pipenv run fiximports $$fil; \
	done

autopep8:
	pipenv run autopep8 --in-place --recursive setup.py $(MODULE)

yapf:
	pipenv run yapf --style .yapf --recursive -i $(MODULE)


checks: flake8 pylint

flake8:
	pipenv run python setup.py flake8

pylint:
	pipenv run pylint --rcfile=.pylintrc --output-format=colorized $(MODULE)


sc: style check

dists: update-po requirements prepare-install rm-dists sdist bdist wheels
build: dists

sdist:
	pipenv run python setup.py sdist

rm-dists:
	rm -rf build dist

bdist:
	pipenv run python setup.py bdist

wheels:
	pipenv run python setup.py bdist_wheel


run-local:
	export GUAKE_DATA_DIR=$(shell pwd)/data ; pipenv run ./run-local.sh


shell:
	pipenv shell


test:
	pipenv run pytest $(MODULE)

test-coverage:
	pipenv run py.test -v --cov $(MODULE) --cov-report term-missing

sct: style check test


docs: clean-docs
	cd doc && pipenv run make html


pypi-publish: build
	pipenv run python setup.py upload -r pypi


update:
	pipenv update
	pipenv install --dev


lock: pipenv-lock requirements

requirements:
	pipenv run pipenv_to_requirements

pipenv-lock:
	pipenv lock


freeze:
	pipenv run pip freeze


githook:
	bash git-hooks/post-commit

setup-githook:
	cp -fv git-hooks/* .git/hooks/


push: githook
	git push origin --tags


clean: rm-dists clean-docs clean-po clean-schemas clean-py
	@echo "clean successful"

clean-py:
	@pipenv --rm ; true
	@find . -name "*.pyc" -exec rm -f {} \;
	@rm -f guake/data/guake-prefs.desktop guake/data/guake.desktop
	@rm -rf .venv .eggs *.egg-info po/*.pot

clean-po:
	@rm -f po/guake.pot
	@find po -name "*.mo" -exec rm -f {} \;

clean-docs:
	rm -rf doc/build

update-po:
	@find guake -iname "*.py" | xargs xgettext --from-code=UTF-8 --output=guake-python.pot
	@find guake/data -iname "*.glade" | xargs xgettext --from-code=UTF-8 \
	                                                  -L Glade \
	                                                  --output=guake-glade.pot
	@(\
	    find guake/data -iname "*.desktop" | xargs xgettext --from-code=UTF-8 \
		                                                  -L Desktop \
	                                                      --output=guake-desktop.pot \
	) || ( \
	    echo "Skipping .desktop files, is your gettext version < 0.19.1?" && \
	    touch guake-desktop.pot)
	@msgcat --use-first guake-python.pot guake-glade.pot guake-desktop.pot > po/guake.pot
	@rm guake-python.pot guake-glade.pot guake-desktop.pot
	for f in $$(find po -iname "*.po"); do \
	    echo "updating $$f"; \
	    msgcat --use-first "$$f" po/guake.pot > "$$f.new"; \
	    mv "$$f.new" $$f; \
	done;

pot: update-po

generate-mo:
	@for f in $$(find po -iname "*.po"); do \
	    echo "generating $$f;" \
		l="$${f%%.*}"; \
		msgfmt "$$f" -o "$$l.mo"; \
	done;


generate-desktop:
	@echo "generating desktop files"
	@msgfmt --desktop --template=guake/data/guake.template.desktop \
		   -d po \
		   -o guake/data/guake.desktop || ( \
			   	echo "Skipping .desktop files, is your gettext version < 0.19.1?" && \
				cp guake/data/guake.template.desktop guake/data/guake.desktop)
	@msgfmt --desktop --template=guake/data/guake-prefs.template.desktop \
		   -d po \
		   -o guake/data/guake-prefs.desktop || ( \
			   	echo "Skipping .desktop files, is your gettext version < 0.19.1?" && \
				cp guake/data/guake-prefs.template.desktop guake/data/guake-prefs.desktop)


reno:
	pipenv run reno new $(SLUG)

reno-lint:
	pipenv run reno lint

release-note: reno-lint release-note-news release-note-github

release-note-news:
	@echo "Generating release note for NEWS file"
	@pipenv run reno report 2>/dev/null | \
		pandoc -f rst -t markdown --normalize --wrap=auto --columns=100 --atx-headers --tab-stop 2 | \
		grep -v '\[\[' | \
		grep -v -E '^\.\.' > NEWS.md
	@cat releasenotes/archive/NEWS.pre-3.0 >> NEWS.md

release-note-github:
	@echo
	@echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	@echo "!! Generating release note for GitHub !!"
	@echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	@echo "-------- copy / paste from here --------"
	@# markdown_github to be avoided => gfm output comes in pandoc 2.0.4 release dec 2017
	@pipenv run reno report 2>/dev/null | \
		pandoc -f rst -t markdown --atx-headers --columns=100 --wrap=auto --tab-stop 2 | \
		tr '\n' '\r' | \
			sed 's/\r<!-- -->\r\r//g' | \
		tr '\r' '\n'


# aliases to gracefully handle typos on poor dev's terminal
check: checks
devel: dev
develop: dev
dist: dists
doc: docs
install: install-system
pypi: pypi-publish
run: run-local
styles: style
uninstall: uninstall-system
upgrade: update
wheel: wheels

=== requirements.txt ===
################################################################################
# This requirements files has been automatically generated from `Pipfile` with
# `pipenv-to-requirements`
#
#
# This has been done to maintain backward compatibility with tools and services
# that do not support `Pipfile` yet.
#
# Do NOT edit it directly, use `pipenv install [-d]` to modify `Pipfile` and
# `Pipfile.lock` and then regenerate `requirements*.txt`.
################################################################################

pbr

## guake 0.4.2

=== debian/changelog ===
guake (0.4.2-6) unstable; urgency=low

  * Fix a problem on startup when notify-osd was not available. 
    Please note that this dependency could be removed soon if a better fix
    comes up (Closes: #633789)
  * Guake overlaped the second screen in a dual-monitor setup with a side panel 
    Thanks to Franklin Strube for the patch (LP: #643145)
  * Guake did not restored to its original size after fullscreen.
    Thanks to Franklin Strube for the patch (LP: #793405)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Aug 2011 13:54:50 +0200

guake (0.4.2-5) unstable; urgency=low

  * use dh_python2 instead of dh_pycentral (Closes: #616840)
  * Get ride of *.la files (Closes: #621221)
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 May 2011 20:04:35 +0200

guake (0.4.2-4) unstable; urgency=low

  * Fix an error if the proxy is provided (Closes: #606504) 

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 09 Dec 2010 22:52:28 +0100

guake (0.4.2-3) unstable; urgency=high

  * Fix a security issue in an incorrect usage of PYTHONPATH (Closes: #605163)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Nov 2010 14:57:37 +0100

guake (0.4.2-2) unstable; urgency=low

  * New versions did not provided the TERM variable (LP: #621927)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Sep 2010 18:55:15 +0200

guake (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Update of the watch file
  * Standards-version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 31 Jul 2010 01:16:57 +0200

guake (0.4.1-3) unstable; urgency=low

  * Missing dep on python-gconf (Closes: #573413)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Mar 2010 18:46:09 +0100

guake (0.4.1-2) unstable; urgency=low

  * python-glade2 disappeared (?) (Closes: #568935)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 09 Feb 2010 00:43:17 +0100

guake (0.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #533711, #529181, #510506)
    (LP: #437880, #348018, #400081)
  * Change of my email address
  * Torsten removed from the uploader (on his request)
  * Update of Standards-Version to version 3.8.4
  * DM-Upload-Allowed removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Feb 2010 20:03:43 +0100

guake (0.4.0-3) unstable; urgency=low

  * Missing deps against python-gconf and python-glade2 (Thanks c_korn) 
    (Closes: #523318)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 10 Apr 2009 18:00:59 +0200

guake (0.4.0-2) unstable; urgency=low

  * Ack previous changes

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 08 Apr 2009 10:20:16 +0200

guake (0.4.0-1) unstable; urgency=low

  * New upstream release
  * The new version changed the default font and is now providing a option
    to change the font of guake (Closes: #501050)
  * Ctrl+q is now available (Closes: #510505)
  * Option "Hide on lose focus" is now working (Closes: #520140)
  * Update of debian/watch (upstream website changed)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 07 Apr 2009 00:13:29 +0200

guake (0.3.1-7) unstable; urgency=low

  * Standards-Version updated to 3.8.1
  * Dependency to python-gnome2 added (Closes: #519468)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 13 Mar 2009 10:40:06 +0100

guake (0.3.1-6) unstable; urgency=low

  * set -e added to the maintainer scripts
  * misc depends added

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sun, 28 Dec 2008 18:33:27 +0100

guake (0.3.1-5) unstable; urgency=low

  * Missing dep to python-dbus, thanks to Alex Goebel (Closes: #497306)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sun, 31 Aug 2008 22:43:33 +0200

guake (0.3.1-4) unstable; urgency=low

  * Two lintian warnings removed

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sat, 16 Aug 2008 15:03:37 +0200

guake (0.3.1-3) unstable; urgency=low

  * Close the ITP since the release 0.3.1-1 hasn't been published (Closes: #482414) 

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 11 Aug 2008 10:43:03 +0200

guake (0.3.1-2) unstable; urgency=low

  * copyright file updated to add info about a few files under the 
    LGPL license

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sun, 10 Aug 2008 02:25:10 +0200

guake (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #482414)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sat, 25 Jul 2008 16:04:07 +0200

=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 5), python, cdbs, autoconf, libxml-parser-perl, 
 pkg-config, libgtk2.0-dev, gconf2, python-dev, intltool, python-gtk2-dev,
 python-vte, python-gnome2
Standards-Version: 3.9.2
Homepage: http://www.guake-terminal.org/
Vcs-Svn: https://bollin.googlecode.com/svn/guake/trunk
Vcs-Browser: http://bollin.googlecode.com/svn/guake/trunk

Package: guake
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, notification-daemon, 
 python-notify, python, libgtk2.0-0, gconf2, python-vte, python-dbus, 
 python-glade2, python-gconf , ${python:Depends}, notify-osd
Provides: x-terminal-emulator, ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just 
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

install/guake::
	mkdir -p debian/guake/usr/share/
	mv debian/guake/etc/gconf/ debian/guake/usr/share/
	dh_python2 -pguake
	find debian/$(cdbs_curpkg) -name \*.la -exec rm -f {} \;

## guake 0.4.3

=== debian/changelog ===
guake (0.4.3-3) unstable; urgency=low

  * Missing runtime dependency (Closes: #676629)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Jul 2012 13:47:03 +0200

guake (0.4.3-2) unstable; urgency=low

  * Missing dependency on python-xdg (Closes: #676629, #677543)
  * Update of the homepage (Closes: #669588)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Jun 2012 13:46:04 +0200

guake (0.4.3-1) unstable; urgency=low

  * New upstream release (finally)
  * Refresh of the patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Jun 2012 10:13:32 +0200

guake (0.4.2-10) unstable; urgency=low

  * Revert previous commit since it was breaking guake (Closes: #673922)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 May 2012 11:33:00 +0200

guake (0.4.2-9) unstable; urgency=low

  * Fix mouse scrolling in less on Ubuntu. Thanks to Max Ulidtko
    for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 May 2012 17:18:30 +0200

guake (0.4.2-8) unstable; urgency=low

  * No longer include directly glib headers (Closes: #665551)
  * Standards-Version updated to version 3.9.3
  * Improve the install of the schema (LP: #366621)
  * Refresh of some patches
  * Fix debian-rules-uses-deprecated-makefile
  * Fix a bug in the proxy setup (Closes: #631922) (LP: #735706)
  
 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 24 Mar 2012 20:27:33 +0100

guake (0.4.2-7) unstable; urgency=low

  * Get ride of the notify-osd dependency (Closes: #645905)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Oct 2011 16:15:46 +0200

=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 5), python, cdbs, autoconf, libxml-parser-perl, 
 pkg-config, libgtk2.0-dev, gconf2, python-dev, intltool, python-gtk2-dev,
 python-vte, python-gnome2, python-xdg
X-Python-Version: 2.7
Standards-Version: 3.9.3
Homepage: http://www.guake.org
Vcs-Svn: https://bollin.googlecode.com/svn/guake/trunk
Vcs-Browser: http://bollin.googlecode.com/svn/guake/trunk

Package: guake
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, notification-daemon, 
 python-notify, python, libgtk2.0-0, gconf2, python-vte, python-dbus, 
 python-glade2, python-gconf, python-xdg, ${python:Depends}
Provides: x-terminal-emulator, ${python:Provides}
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just 
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.

## guake 0.4.4

=== debian/changelog ===
guake (0.4.4-1ubuntu1) saucy; urgency=low

  * d/p/fix-indentation.patch: fixed abnormal indentation (cherry-picked from
    upstream) (LP: #1160177).

 -- Ben Nuttall <ben@bennuttall.com>  Mon, 15 Jul 2013 22:21:12 +0100

guake (0.4.4-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 May 2013 13:25:26 +0200

guake (0.4.4-1~exp1) experimental; urgency=low

  * New upstream release
    - overlap-screen-dual-screen.patch restore-orig-size.patch removed
  * New icons (LP: #596124)
  * Many other fixes

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 27 Jul 2012 12:15:10 +0200

=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 5), python, cdbs, autoconf, libxml-parser-perl,
 pkg-config, libgtk2.0-dev, gconf2, python-dev, intltool, python-gtk2-dev,
 python-vte, python-gnome2, python-xdg
X-Python-Version: 2.7
Standards-Version: 3.9.4
Homepage: http://www.guake.org
Vcs-Svn: https://bollin.googlecode.com/svn/guake/trunk
Vcs-Browser: http://bollin.googlecode.com/svn/guake/trunk

Package: guake
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, notification-daemon,
 python-notify, python, libgtk2.0-0, gconf2, python-vte, python-dbus,
 python-glade2, python-gconf, python-xdg, ${python:Depends}
Provides: x-terminal-emulator, ${python:Provides}
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

install/guake::
	mkdir -p debian/guake/usr/share/
	mv debian/guake/etc/gconf/ debian/guake/usr/share/
	dh_python2 -pguake
	find debian/$(cdbs_curpkg) -name \*.la  -exec rm -f {} \;
	find debian/$(cdbs_curpkg) -name \*.a  -exec rm -f {} \;

=== debian/watch ===
version=3
http://guake.org/files/ guake-(.*).tar.gz

## guake 0.5.0

=== debian/changelog ===
guake (0.5.0-2) unstable; urgency=low

  * debian/patches
    + fix_floating_point_exception.diff patch
       + floating point exception when system fixed font set. Closes: #761430

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 10 Nov 2014 16:52:50 -0500

guake (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    + Update Vcs-* fields.
  * guake.postinst/guake.prerm
    + Register guake as x-terminal-emulator. Closes: #736184
  * remove postint and prerm file because are duplicates

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 05 Sep 2014 21:47:17 -0500

guake (0.5.0~rc1-1~exp1) experimental; urgency=low

  * New upstream testing release.
  * debian/control
    + Add myself as uploader
    + Change debhelper to 9 in B-D.
    + Remove cdbs in B-D
    + Add dh-autoreconf and libgconf2-dev in B-D
    + Bump Standards-Version 3.9.5
      + Update to DEP5 copyright format 1.0
  * Switch compat level 5 to 9
  * debian/rules
    + Add hardening flags
  * Update watch file
  * debian/patches
    + Patch restore-orig-size.patch removed because isn't applied
    + Patch overlap-screen-dual-screen.patch because isn't applied
    + Patch fix-mouse-scrolling-in-less-on-Ubuntu.patch because isn't applied 
    + Add description for guake.desktop.patch and refresh patch
    + Add fix_manpage.diff to fix lintian warning
    + Add fix_shebang.diff to fix to avoid lintian warning
  * Rename docs file to guake.docs
    + Remove TODO file
  * Rename postinst script to guake.postinst
  * Rename prerm script to guake.prerm

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 24 Jul 2014 20:31:20 -0500

=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Uploaders: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 9), python, autoconf, libxml-parser-perl,
 pkg-config, libgtk2.0-dev, gconf2, python-dev, intltool, python-gtk2-dev,
 python-vte, python-gnome2, python-xdg, dh-autoreconf, libgconf2-dev
X-Python-Version: 2.7
Standards-Version: 3.9.5
Homepage: http://www.guake.org
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/guake/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/guake/

Package: guake
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, notification-daemon,
 python-notify, python, libgtk2.0-0, gconf2, python-vte, python-dbus,
 python-glade2, python-gconf, python-xdg
Provides: x-terminal-emulator
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.

## guake 0.7.0

=== debian/changelog ===
guake (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    + Bump Standards-Version 3.9.6 (no changes)
  * debian/copyright
    + Update copyright file
  * debian/patches
    + Add 01_fix_desktop_file.diff
      + Remove encoding entry in desktop files
      + Add keyword entry in desktop files
  * debian/rules
    + Remove dh_auto_test override ftbfs fixed by upstream

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 26 Apr 2015 19:15:06 -0500

guake (0.5.2-1~exp2) experimental; urgency=medium

  * Lower the priority of the alternative to 40 like gnome terminal, konsole

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 27 Feb 2015 18:22:49 +0100

guake (0.5.2-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #778663)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Feb 2015 18:11:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  pkg-config, libgtk2.0-dev, gconf2, python-dev, intltool, python-gtk2-dev,
  python-vte, python-gnome2, python-xdg, dh-autoreconf, libgconf2-dev
 X-Python-Version: 2.7
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.guake.org
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/guake/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/guake/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

CFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS+=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)


%:
	dh $@  --with autoreconf,python2

override_dh_clean:
	dh_clean
	find . -name \*.la  -exec rm -f {} \;
	find . -name \*.a  -exec rm -f {} \;

override_dh_auto_configure:
	intltoolize
	dh_auto_configure


override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"


override_dh_install:
	find $(CURDIR)/  -name "*.la" -exec \
	sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
	dh_install

## guake 0.7.2

=== debian/changelog ===
guake (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    + Refresh 01_fix_desktop_file.diff patch
  * debian/copyright
    + Extend copyright holders years

  [ Sylvestre Ledru ]
  * Remove myself from the maintainers.
    Daniel is doing the actual work. I am just the uploader now.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 23 May 2015 18:40:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: guake
 Section: x11
 Priority: optional
-Maintainer: Sylvestre Ledru <sylvestre@debian.org>
-Uploaders: Daniel Echeverry <epsilon77@gmail.com>
+Maintainer: Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: debhelper (>= 9), python, autoconf, libxml-parser-perl,
  pkg-config, libgtk2.0-dev, gconf2, python-dev, intltool, python-gtk2-dev,
  python-vte, python-gnome2, python-xdg, dh-autoreconf, libgconf2-dev

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/guake-$1\.tar\.gz/ \
    http://github.com/Guake/guake/releases/ .*/archive/(\d.*)\.tar\.gz

## guake 0.8.4

=== debian/changelog ===
guake (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Change homepage field. Closes: #812433
    + Bump Standards-Version 3.9.7 (no changes)
    + Use HTTPS in vcs-browser field
    + Use wrap-and-sort
  * debian/copyright
    + Change source field
    + Extend copyright holder years
    + Remove extra whitespaces
   
 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 07 Mar 2016 15:05:00 -0500

guake (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 24 Oct 2015 16:54:55 -0500

guake (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Remove pycompat file because is obsolete.
  * debian/control
    + Add python-keybinder in Depends.
    + Add dh-python in B-D. 

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 11 Sep 2015 22:55:52 -0500

=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: autoconf,
               debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gconf2,
               intltool,
               libgconf2-dev,
               libgtk2.0-dev,
               libxml-parser-perl,
               pkg-config,
               python,
               python-dev,
               python-gnome2,
               python-gtk2-dev,
               python-vte,
               python-xdg
X-Python-Version: 2.7
Standards-Version: 3.9.7
Homepage: http://guake-project.org
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/guake/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/guake/

Package: guake
Architecture: any
Depends: gconf2,
         libgtk2.0-0,
         notification-daemon,
         python,
         python-dbus,
         python-gconf,
         python-glade2,
         python-keybinder,
         python-notify,
         python-vte,
         python-xdg,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.

## guake 0.8.5

=== debian/changelog ===
guake (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version 3.9.8 (no changes)

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 07 Jun 2016 18:49:07 -0500

## guake 0.8.7

=== debian/changelog ===
guake (0.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 21 Aug 2016 22:50:32 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python-vte,
                python-xdg
 X-Python-Version: 2.7
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://guake-project.org
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/guake/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/guake/

## guake 0.8.8

=== debian/changelog ===
guake (0.8.8-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sun, 19 Mar 2017 15:47:53 -0500

guake (0.8.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Change debhelper to 10 in B-D.
    + Remove dh-autoreconf in B-D.
    + Remove Provides field. (Closes: #848096)
  * debian/compat: Switch compat level 9 to 10.
  * debian/guake.postinst and debian/guake.prerm: Remove
    update-alternatives logic.
  * debian/rules
    + Remove --with autoreconf dh10 brings it by default.
  * debian/docs: Remove because the doc install from guakes.docs file
  

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 17 Dec 2016 12:55:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: guake
 Section: x11
 Priority: optional
-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Bugs: mailto: <v3g4n@mxlinux.org>
 Build-Depends: autoconf,
-               debhelper (>= 9),
-               dh-autoreconf,
+               debhelper (>= 10),
                dh-python,
                gconf2,
                intltool,
@@ -40,7 +41,6 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Provides: x-terminal-emulator
 Description: Drop-down terminal for GNOME Desktop Environment
  Guake is a drop-down terminal for GNOME Desktop Environment, so you just
  need to press a key to invoke him, and press again to hide.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 %:
-	dh $@  --with autoreconf,python2
+	dh $@  --with python2
 
 override_dh_clean:
 	dh_clean

## guake 0.8.10

=== debian/changelog ===
guake (0.8.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Remove blank line frome series file.
  * debian/copyright
    + Extend copyright holder years.
  * debian/control
    + Bump Standards-Version 4.0.1 (no changes)
  * debian/rules
    + Remove flags from rules, compat level 10 do it automatically

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 25 Jun 2017 20:41:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: guake
 Section: x11
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
-XSBC-Original-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Bugs: mailto: <v3g4n@mxlinux.org>
+Maintainer: Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: autoconf,
                debhelper (>= 10),
                dh-python,
@@ -20,7 +18,7 @@
                python-vte,
                python-xdg
 X-Python-Version: 2.7
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://guake-project.org
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/guake/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/guake/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_clean:
	dh_clean
	find . -name \*.la  -exec rm -f {} \;
	find . -name \*.a  -exec rm -f {} \;

override_dh_auto_configure:
	intltoolize
	dh_auto_configure


override_dh_install:
	find $(CURDIR)/  -name "*.la" -exec \
	sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
	dh_install

## guake 3.0.0.b2

=== debian/changelog ===
guake (3.0.0.b2-1) unstable; urgency=medium

  * New upstream release. (Closes: #829969)
    + Guake gtk3 now is in unstable. (Closes: #721554)
  * debian/copyright
    + Extend copyright holder years.
      + Update path to simplegladeapp.py file.
  * debian/control
    + Bump Standards-Version 4.1.3 (no changes).
    + Remove gconf2, intltool, libgconf2-dev, libgtk2.0-dev,
      libxml-parser-perl, pkg-config, python, python-dev,
      python-gnome2, python-gtk2-dev, python-vte, python-xdg
      from B-D (Closes: #790176, #845949).
    + Add python3-all, python3-pbr, python3-setuptools, libglib2.0-dev,
      python3-gi to B-D.
    + Change debhelper to 11 in B-D.
    + Update X-Python3-Version to >= 3.0.
    + remove gconf2, libgtk2.0-0, notification-daemon,
      python, python-dbus, python-gconf, python-glade2,
      python-keybinder, python-notify, python-vte,
      python-xdg from Depends.
    + Add libgtk-3-dev, libkeybinder-3.0-0, gir1.2-keybinder-3.0,
      libvte-common, libvte-2.91-dev, python3, python3-pbr, libutempter0
      ${python3:Depends} to depends.
    * debian/patches
      + Refresh 01_fix_desktop_file.diff patch.
      + Add 02_use_correct_data_path.diff path.
        + Use path where data files was installed.
      + Add 03_remove_description_field_from_setup.diff patch.
        + Because README.rst have non-valid characters and causes FTBFS.
    * debian/rules
      + Rewritten to build with pybuild and python3.
    * Add debian/guake.install file.
      + Install data files to /usr/share.
    * Add debian/guake.links.
    * debian/watch
      + Use HTTPS in url.
    * debian/compat
      + Switch compat level 10 to 11.
    * Add d/guake.1 file
      + Upstream remove from tarball.
      + Add guake.manpages file.
    * debian/changelog
      + Remove some whitespaces.
    * Remove guake.lintian-override file.
      + Because isn't necessary
    * Update *.prerm and postinst scripts.
    * Update debian/guake.docs file.


 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 07 Jan 2018 18:20:21 -0500

=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: autoconf,
	       debhelper (>= 11),
               dh-python,
               python3-all,
	       python3-pbr,
	       python3-setuptools,
	       python3-gi,
	       libglib2.0-dev
X-Python3-Version: >= 3.0
Standards-Version: 4.1.3
Homepage: http://guake-project.org
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/guake/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/guake/

Package: guake
Architecture: any
Depends: libgtk-3-dev,
	 libkeybinder-3.0-0,
	 gir1.2-keybinder-3.0,
	 libvte-common,
	 libvte-2.91-dev,
	 python3-pbr,
	 python3,
	 libglib2.0-dev,
	 libutempter0,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=guake

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf Guake.egg-info
	rm -f guake/data/gschemas.compiled
	dh_auto_clean
